www/p5-HTTP-Server-Simple - The NetBSD Packages Collection

Perl5 module providing a simple standalone HTTP daemon

HTTP::Server::Simple Perl5 module is a very simple standalone HTTP
daemon with no non-core module dependencies.  It's ideal for building
a standalone http-based UI to your existing tools.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

www/p5-CGI www/p5-URI lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 8.0earmv7hfp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 8.0earmv7hfp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 8.0i386p5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 8.0i386p5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 8.0powerpcp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 8.0powerpcp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 8.0powerpcp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 8.0powerpcp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 8.0x86_64p5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 8.0x86_64p5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0aarch64p5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0aarch64p5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0aarch64p5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0alphap5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0alphap5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0alphap5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0earmp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0earmp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0earmp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0earmv6hfp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0earmv6hfp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0earmv6hfp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0earmv7hfp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0earmv7hfp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0earmv7hfp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0earmv7hfp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0i386p5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0i386p5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0m68kp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0m68kp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0m68kp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0m68kp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0mips64ebp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0mips64ebp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0mips64ebp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0mips64ebp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0mips64ebp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0mipselp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0mipselp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0mipselp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0mipselp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0powerpcp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0powerpcp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0powerpcp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0powerpcp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0sh3elp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0sh3elp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0sh3elp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0sh3elp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0sh3elp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0sparc64p5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0sparc64p5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0sparc64p5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0sparcp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0sparcp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0sparcp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0sparcp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0sparcp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0vaxp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0vaxp5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0vaxp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0vaxp5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0x86_64p5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0x86_64p5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0x86_64p5-HTTP-Server-Simple-0.52nb4.tgz
NetBSD 9.0x86_64p5-HTTP-Server-Simple-0.52nb5.tgz
NetBSD 9.0x86_64p5-HTTP-Server-Simple-0.52nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.